/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.project.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.modules.workclientinfo.entity.WorkClientLinkman;
import com.jeeplus.modules.workcontractinfo.entity.WorkContractInfo;
import com.jeeplus.modules.project.entity.Projectgeneral;
import com.jeeplus.modules.project.entity.ProjectEvaluationRecord;
import com.jeeplus.modules.project.entity.Workprojectgroup;
import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.project.entity.Project;
import com.jeeplus.modules.project.dao.ProjectDao;

/**
 * 项目表Service
 * @author fgy
 * @version 2017-10-12
 */
@Service
@Transactional(readOnly = true)
public class ProjectService extends CrudService<ProjectDao, Project> {

	public Project get(String id) {
		return super.get(id);
	}
	
	public List<Project> findList(Project project) {
		return super.findList(project);
	}
	
	public Page<Project> findPage(Page<Project> page, Project project) {
		return super.findPage(page, project);
	}
	
	@Transactional(readOnly = false)
	public void save(Project project) {
		super.save(project);
	}
	
	@Transactional(readOnly = false)
	public void delete(Project project) {
		super.delete(project);
	}
	
	public Page<WorkClientLinkman> findPageByentrustCompany(Page<WorkClientLinkman> page, WorkClientLinkman entrustCompany) {
		entrustCompany.setPage(page);
		page.setList(dao.findListByentrustCompany(entrustCompany));
		return page;
	}
	public Page<WorkContractInfo> findPageBycontractInfo(Page<WorkContractInfo> page, WorkContractInfo contractInfo) {
		contractInfo.setPage(page);
		page.setList(dao.findListBycontractInfo(contractInfo));
		return page;
	}
	public Page<Projectgeneral> findPageByprojectGeneral(Page<Projectgeneral> page, Projectgeneral projectGeneral) {
		projectGeneral.setPage(page);
		page.setList(dao.findListByprojectGeneral(projectGeneral));
		return page;
	}
	public Page<WorkClientLinkman> findPageByworkClientLinkman(Page<WorkClientLinkman> page, WorkClientLinkman workClientLinkman) {
		workClientLinkman.setPage(page);
		page.setList(dao.findListByworkClientLinkman(workClientLinkman));
		return page;
	}
	public Page<ProjectEvaluationRecord> findPageByprojectEvaluationRecord(Page<ProjectEvaluationRecord> page, ProjectEvaluationRecord projectEvaluationRecord) {
		projectEvaluationRecord.setPage(page);
		page.setList(dao.findListByprojectEvaluationRecord(projectEvaluationRecord));
		return page;
	}
	public Page<Workprojectgroup> findPageByworkprojectgroup(Page<Workprojectgroup> page, Workprojectgroup workprojectgroup) {
		workprojectgroup.setPage(page);
		page.setList(dao.findListByworkprojectgroup(workprojectgroup));
		return page;
	}
	
	
	
}